.perfil-label{
    color: var(--color-tertiary-light-grey);
}

.perfil-sidebar-menu-info .perfil-data{
    display: flex;
    flex-direction: column;
    gap: 0;
}

.content-filters{
    margin-top: 74px;
    margin-bottom:32px;
    display: flex;
    /* gap: 55px; */
    justify-content: end;
}

/* .data-filter{
    width: 162px;
} */

.data-filter .form-control{
    border-radius: 36px;
    border: 1px solid var(--color-second-light-grey);
    padding: 10px 26px;
}

.data-filter .line-vertical {
    position: absolute;
    top: 50%;
    left: 75%;
    transform: translateY(-49%);
    width: 1px;
    height: 50%;
    background-color: #DDDDDD;
    pointer-events: none;
    z-index: 1;    
}    

/* ==========================================================
    ENCOMENDAS
========================================================== */
.custom-striped .Vencido{
    color: var(--color-red);  
}

.custom-striped .pago, .custom-striped .entregue, .custom-striped .Criada{
    color: var(--color-success);
}

.custom-striped .Enviada{
    color: #DA9500;  
}

.custom-striped .processamento{
    color: #2273B5;  
}

.estado-icon{
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    width: 16px;
    height: 16px;
}

.custom-striped td.entregue .estado-icon, .custom-striped td.Criada .estado-icon{
    background-image: url("../imgs/icons/encomenda-entregue.svg");
}

.custom-striped td.Enviada .estado-icon{
    background-image: url("../imgs/icons/encomenda-distribuicao.svg");
}

.custom-striped td.processamento .estado-icon{
    background-image: url("../imgs/icons/encomenda-preparacao.svg");
}


/* ==========================================================
    CONTA CORRENTE
========================================================== */
.custom-striped .Pago, .content-header .Pago, .payment .Pago{
    color: var(--color-success);
}

.content-search{
    margin-bottom:32px;
}


.custom-striped td.Vencido .estado-icon, .div-content-header .Vencido .estado-icon, .payment .Vencido .estado-icon{
    background-image: url("../imgs/icons/vencido.svg");
}

.custom-striped td.Pago .estado-icon, .div-content-header .Pago .estado-icon, .payment .Pago .estado-icon{
    background-image: url("../imgs/icons/encomenda-entregue.svg");
}

.custom-striped td.porpagar .estado-icon, .div-content-header .porpagar .estado-icon, .payment .porpagar .estado-icon{
    background-image: url("../imgs/icons/porpagar.svg");
}

/* ==========================================================
    FATURAS
========================================================== */

.custom-striped td.porpagar, .content-header .porpagar, .payment .porpagar{
    color: #DA9500;
}


.custom-striped td.porpagar .estado-icon{
    background-image: url("../imgs/icons/porpagar.svg");
}

/* ==========================================================
    ENCOMENDA
========================================================== */
.price-line{
     display: flex;
    align-items: center;
    gap: 0px;
}

.div-content-header{
    margin-bottom: 88px;
}

.div-totals{
    display: flex;
    flex-direction: column;
    gap: 12px;
    margin-top: 24px;
}







.grelhaMoradas,
.grelhaTransportadoras {
  margin-bottom: 12px;
}

.morada-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 16px;
}

.morada-body {
  display: grid;
  grid-template-columns: 1.5fr 1fr;
  gap: 24px;
}

.morada-info{
    border: 1px solid var(--color-second-light-grey);
    padding: 24px;
    border-radius: 16px;
}




.btn-voltar-hover-grey {
  padding: 9px 12px;
  border-radius: var(--border-radius-lg);
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
  border: none;
  background:transparent;
  color: var(--color-black) ;
}

.btn-voltar-hover-grey:hover{
    background-color: var(--color-light-grey);
}


/* ==========================================================
    DADOS DA CONTA
========================================================== */

.content-perfil{
    margin-left: 274px;
    padding: 120px 188px 134px 24px;
}

.content-info-perfil{
    border: 1px solid var(--color-second-light-grey);
    border-radius: 16px;
    padding: 68px 108px;
}


.dados-perfil-section{
    margin-bottom: 32px;
}

.dados-perfil-section input:focus, .field-group select:focus {
    outline: none;
    box-shadow: none;
}

.content-header-perfil{
    margin-bottom: 48px;
}

.perfil-photo img{
    width: 68px;
    height: 68px;
    border-radius: 50%;
    object-fit: cover;
}

.field-group {
    display: flex;
    flex-direction: column;
}

.field-group input, .field-group select{
    border: none;
    width: 100%;
}

.field-label {
    font-size: 13px;
    color: var(--color-dark-grey);
    line-height: 1.4;
    margin-bottom: 8px;
}

.field-display {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 1px solid var(--color-second-light-grey);
    border-radius: 36px;        
    padding: 10px 18px;
    height: 42px;
    position: relative;
}

#business {
    position: absolute;
    inset: 0;
    opacity: 1;
    cursor: pointer;
}

.field-display .line-vertical{
    margin: 0 12px;
}

.save-btn-blue{
    background-color: var(--color-blue);
    color: white;
    border-radius: 42px;
    opacity: 1;
    transition: all 0.2s ease;
    border: none;
    display: flex;
    gap: 15px;
    padding: 12px 18px;
    font-size: 16px;
    line-height: 1.4;
    font-weight: 700;
    align-items: center;
    justify-self: end;  
}

.save-btn-blue:disabled {
    opacity: 0.2;
}

.save-btn-blue:hover {
    background-color: var(--color-hover-blue); 
} 


.field-display svg{
    color: var(--color-dark-grey);
}

.field-display:hover svg{
    color: var(--color-black);
}

.field-display:hover, .field-display:hover .line-vertical {
  border: 1px solid var(--color-tertiary-light-grey);
}

.field-display:hover input::-webkit-input-placeholder {
    color: var(--color-black);
}
.field-display:hover input::-moz-placeholder {
    color: var(--color-black);
}
.field-display:hover input:-ms-input-placeholder {
    color: var(--color-black);
}
.field-display:hover input::-ms-input-placeholder {
    color: var(--color-black);
}


/* ==========================================================
    PALAVRA PASSE
========================================================== */

.edit-icon {
    display: none;
    cursor: pointer;
}

.field-display.editing .icon-default {
    display: none;
}

.field-display.editing .edit-icon {
    display: block;
}

/* ==========================================================
   MORADAS
========================================================== */

.morada-info-moradas{
    display: block;
    padding: 24px;
    border-radius: 16px;
    border: 1px solid var(--color-second-light-grey);
    cursor: pointer;
    background: var(--color-white);
    transition: all 0.25s ease-out;
    margin-bottom: 24px;
}

.morada-info-moradas:hover{
    box-shadow: 0px 0px 12px 6px #737b7d1a;
}


.btn-black-edit{
    background-color: var(--color-black);
    border: none;
    border-radius: 30px;
    padding: 7px 12px;
    display: flex;
    gap: 8px;
    align-items: center;
    color: white;

    opacity: 0;
    visibility: hidden;

    transition:
        opacity 0.25s ease,
        transform 0.25s ease,
        visibility 0.25s ease;
}


.morada-info-moradas:hover .btn-black-edit{
    opacity: 1;
    visibility: visible;
}

.div-save-btn-moradas{
    display: flex;
    align-items: flex-end; /* alinha na base, onde está o input */
    padding-bottom: 32px;
    justify-content: flex-end;
}

.btn-outline {
    border: 1px solid #c7c7c7;
    background: transparent;
    border-radius: var(--border-radius-42);
    width: 100%;
    /* max-width: 192px; */
    height: 42px;
    gap: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.3s ease, color 0.3s ease;
    padding: 10px 22px;
}


.sidebar-perfil{
    height: 100vh;
}






@media (max-width: 992px) {
    .content-header{
        margin-bottom: 0px !important;
    }
    .content-sub-header{
        text-align: center;
    }

    .valor-saldo{
        justify-content: center;
    }

    .contaCorrente-info .content-filters {
        margin-top: 48px;
        margin-bottom: 48px;
        display: flex;
        gap: 20px;
        justify-content: center;
    }

    .encomendas-info .content-filters, .faturas-info .content-filters, .perfil-info .content-filters{
        margin: 0 0 48px 0;
    }

    .content-search{
        margin-bottom: 64px;
    }

    .data-filter .form-control{
        padding: 10px 18px;
    }

    /* Esconder colunas Documento, Data e Vencimento */
    #conta-corrente-table thead tr th:nth-child(3),
    #conta-corrente-table thead tr th:nth-child(4), 
     #conta-corrente-table tbody tr td:nth-child(6),
    #conta-corrente-table tbody tr td:nth-child(3), 
    #conta-corrente-table tbody tr td:nth-child(4),
     #conta-corrente-table tbody tr td:nth-child(6),
    
    #encomendas-table thead tr th:nth-child(2), 
    #encomendas-table thead tr th:nth-child(3), 
    #encomendas-table tbody tr td:nth-child(2),
    #encomendas-table tbody tr td:nth-child(3),

    #encomenda-detalhada-table thead tr th:nth-child(3), 
    #encomenda-detalhada-table thead tr th:nth-child(5), 
    #encomenda-detalhada-table thead tr th:nth-child(7), 
    #encomenda-detalhada-table tbody tr td:nth-child(3),
    #encomenda-detalhada-table tbody tr td:nth-child(5), 
    #encomenda-detalhada-table tbody tr td:nth-child(7), 

    #faturas-table thead tr th:nth-child(2),
    #faturas-table thead tr th:nth-child(3), 
    #faturas-table tbody tr td:nth-child(2), 
    #faturas-table tbody tr td:nth-child(3)
    {
        display: none;
    }

    #conta-corrente-table .div-see-more, #encomendas-table .div-see-more, #encomenda-detalhada-table .div-see-more, #faturas-table .div-see-more{
        display: none;
    }

    .grelhaMoradas{
        display: flex;
        gap: 68px;
    }

    tr.sem-referencia {
        display: none;
    }





    /* ==========================================================
    DADOS CONTA
    ========================================================== */

    .navbar {
        display: flex;
        justify-content: center;
        padding: 46px 0 24px 0;
    }


    .content-perfil{
        margin-left: 0;
        padding: 0 24px 64px 24px;
    }

    .content-info-perfil{
        padding: 20px;
    }

    .div-save-btn button{
        width: 100%;
        justify-content: center;
    }

    .max-caracteres{
        margin-bottom: 32px;
    }

    .btn-black-edit {
        opacity: 1;
        visibility: visible;
    }


    
}










